package eu.jonahbauer.raytracing.render.renderer.pdf;

import eu.jonahbauer.raytracing.math.Vec3;
import org.jetbrains.annotations.NotNull;

import java.util.random.RandomGenerator;

public interface ProbabilityDensityFunction {
    double value(@NotNull Vec3 direction);
    @NotNull Vec3 generate(@NotNull RandomGenerator random);
}
